Skip to main content
GET
/
portfolio
/
open
Get user portfolio with all pools containing open positions
curl --request GET \
  --url https://dlmm.datapi.meteora.ag/portfolio/open
{
  "hasNext": true,
  "page": 1,
  "pageSize": 1,
  "pools": [
    {
      "balances": "<string>",
      "baseFee": 123,
      "binStep": 1,
      "collectFeeMode": 1,
      "feePerTvl24h": "<string>",
      "listPositions": [
        "<string>"
      ],
      "openPositionCount": 1,
      "pnl": "<string>",
      "pnlPctChange": "<string>",
      "poolAddress": "<string>",
      "positionsOutOfRange": [
        "<string>"
      ],
      "rewardX": "<string>",
      "rewardY": "<string>",
      "tokenX": "<string>",
      "tokenXIcon": "<string>",
      "tokenXMint": "<string>",
      "tokenY": "<string>",
      "tokenYIcon": "<string>",
      "tokenYMint": "<string>",
      "totalDeposit": "<string>",
      "unclaimedFees": "<string>",
      "balancesSol": "<string>",
      "outOfRange": true,
      "pnlSol": "<string>",
      "pnlSolPctChange": "<string>",
      "poolPrice": 123,
      "poolStateUpdatedAtBlockTime": 1,
      "poolStateUpdatedAtSlot": 1,
      "totalDepositSol": "<string>",
      "unclaimedFeesSol": "<string>"
    }
  ],
  "totalCount": 1,
  "totalPositions": 1,
  "solPrice": "<string>",
  "total": {
    "balances": "<string>",
    "pnl": "<string>",
    "pnlPctChange": "<string>",
    "totalPositions": 1,
    "unclaimedFees": "<string>",
    "balancesSol": "<string>",
    "pnlSol": "<string>",
    "pnlSolPctChange": "<string>",
    "unclaimedFeesSol": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.meteora.ag/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

user
string
required

User's wallet address

page
integer<int32>

Page number for pagination (minimum: 1, default: 1)

Required range: x >= 0
page_size
integer<int32>

Page size for pagination (default: 20, maximum: 50)

Required range: x >= 0
sort_direction
enum<string>

Sort direction, default is DESC

Available options:
asc,
desc
sort_by
enum<string>

Sort by field, default is current_balances

Available options:
current_balances,
unclaimed_fee,
fee_per_tvl24h

Response

Successfully retrieved open portfolio

hasNext
boolean
required
page
integer<int32>
required
Required range: x >= 0
pageSize
integer<int32>
required
Required range: x >= 0
pools
object[]
required
totalCount
integer<int64>
required
Required range: x >= 0
totalPositions
integer<int64>
required

Total number of open positions across all pools

Required range: x >= 0
solPrice
string | null
total
object

Total metrics related to user portfolio